Bug 1195255 - Review Request: compat-tolua++ - lua-5.1 compatible version of tolua++ (C++ Lua integration)
Summary: Review Request: compat-tolua++ - lua-5.1 compatible version of tolua++ (C++ L...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 13:39 UTC by Hans de Goede
Modified: 2020-04-28 11:11 UTC (History)
2 users (show)

Fixed In Version: compat-tolua++-1.0.93-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 11:11:35 UTC
Type: ---
mpreisle: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2015-02-23 13:39:43 UTC
Spec URL: https://fedorapeople.org/~jwrdegoede/compat-tolua++.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/compat-tolua++-1.0.93-1.fc22.src.rpm
Description:
This is a lua-5.1 compatible version of tolua++.

tolua++ is an extended version of tolua, a tool to integrate C/C++ code with
Lua. tolua++ includes new features oriented to C++.

Fedora Account System Username: jwrdegoede

Comment 1 Martin Preisler 2015-02-23 15:45:33 UTC
The Source0 URL doesn't work - 404 error. Do we have any working source for these tarballs? I tried to google for it for a while with no success.

The %define macro should be changed to %global.

There are a bunch of trivial things in the spec file, like mixing tabs and spaces. These could be fixed but I don't insist on it.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 32 files have unknown license. Detailed output of
     licensecheck in /home/mpreisle/fedora-review/review-compat-
     tolua++/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:

!!!
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://www.codenix.com/~tolua/tolua++-1.0.93.tar.bz2
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
!!!

[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define solib tolua++-5.1
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: compat-tolua++-1.0.93-1.fc21.x86_64.rpm
          compat-tolua++-devel-1.0.93-1.fc21.x86_64.rpm
          compat-tolua++-1.0.93-1.fc21.src.rpm
compat-tolua++.x86_64: W: spelling-error Summary(en_US) lua -> la, luau, lea
compat-tolua++.x86_64: W: spelling-error Summary(en_US) tolua -> toluene
compat-tolua++.x86_64: W: summary-not-capitalized C lua-5.1 compatible version of tolua++ (C++ Lua integration)
compat-tolua++.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
compat-tolua++.x86_64: W: spelling-error %description -l en_US tolua -> toluene
compat-tolua++.x86_64: W: invalid-url URL: http://www.codenix.com/~tolua/ HTTP Error 404: Not Found
compat-tolua++-devel.x86_64: W: spelling-error Summary(en_US) tolua -> toluene
compat-tolua++-devel.x86_64: W: spelling-error %description -l en_US tolua -> toluene
compat-tolua++-devel.x86_64: W: invalid-url URL: http://www.codenix.com/~tolua/ HTTP Error 404: Not Found
compat-tolua++-devel.x86_64: W: only-non-binary-in-usr-lib
compat-tolua++-devel.x86_64: W: no-documentation
compat-tolua++-devel.x86_64: W: no-manual-page-for-binary tolua++
compat-tolua++.src: W: spelling-error Summary(en_US) lua -> la, luau, lea
compat-tolua++.src: W: spelling-error Summary(en_US) tolua -> toluene
compat-tolua++.src: W: summary-not-capitalized C lua-5.1 compatible version of tolua++ (C++ Lua integration)
compat-tolua++.src: W: spelling-error %description -l en_US lua -> la, luau, lea
compat-tolua++.src: W: spelling-error %description -l en_US tolua -> toluene
compat-tolua++.src: W: invalid-url URL: http://www.codenix.com/~tolua/ HTTP Error 404: Not Found
compat-tolua++.src:29: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 29)
compat-tolua++.src: W: invalid-url Source0: http://www.codenix.com/~tolua/tolua++-1.0.93.tar.bz2 HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 20 warnings.

Provides
--------
compat-tolua++-devel:
    compat-tolua++-devel
    compat-tolua++-devel(x86-64)

compat-tolua++:
    compat-tolua++
    compat-tolua++(x86-64)
    libtolua++-5.1.so()(64bit)

Comment 2 Hans de Goede 2015-02-23 16:42:29 UTC
Hi,

Thanks for the review. I've done a new version fixing the Source0 problem by not using an url. You can verify the md5sum of the sources by looking in the lookaside cache for the normal tolua++ package. I've also fixed the tab usage and done s/define/global/ here is the new version:

Spec URL: https://fedorapeople.org/~jwrdegoede/compat-tolua++.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/compat-tolua++-1.0.93-2.fc22.src.rpm

Regards,

Hans

Comment 3 Martin Preisler 2015-02-23 18:52:00 UTC
Looks reasonably good now. Accepted.

Comment 4 Hans de Goede 2015-02-24 14:57:16 UTC
New Package SCM Request
=======================
Package Name: compat-tolua++
Short Description: lua-5.1 compatible version of tolua++
Upstream URL: 
Owners: jwrdegoede
Branches: f22
InitialCC: 

Note upstream is defunct, so no upstream URL.

Comment 5 Gwyn Ciesla 2015-02-24 15:17:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.